tlv_p_entry Struct Reference
TLV parser

Entry in a TLV parser array. More...

`#include <tlv.h>`

## Data Fields

uint16_t | len
| length More...
const uint8_t * | val
| pointer to value More...

## Detailed Description

Entry in a TLV parser array.

## Field Documentation

## len

uint16_t tlv_p_entry::len

length

Referenced by ipa_ccm_idtag_parse_off(), osmo_tlvp_copy(), osmo_tlvp_merge(), tlv_dump(), and tlv_parse2().

## val

const uint8_t* tlv_p_entry::val

pointer to value

Referenced by ipa_ccm_idtag_parse_off(), osmo_tlvp_copy(), osmo_tlvp_merge(), tlv_dump(), and tlv_parse2().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/tlv.h